Bug 1260941 - Console: all conditions in search filter have the same title
Console: all conditions in search filter have the same title
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
x86_64 Linux
medium Severity low
: ER2
: 6.3.0
Assigned To: Neus Miras
Pavel Kralik
Depends On:
  Show dependency treegraph
Reported: 2015-09-08 05:30 EDT by Pavel Kralik
Modified: 2016-04-01 12:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pavel Kralik 2015-09-08 05:30:05 EDT
Description of problem:
When adding a new condition to a search filter than all option values have the same title (tasks/jobs/process).

Version-Release number of selected component (if applicable):
BPMS 6.2.0.ER1

How reproducible:

Steps to Reproduce:
1. Add new search filter (eq. New Job List) and go to Filter tab
2. Click "Filters Add new"
3. Select column eq. id
4. Go to different condition eq. "like" or "greater than"  
5. See titles for different conditions (eq. id != val1)

Actual results:
All conditions have the same title 

Expected results:
eq. "greater than" has title "id greater than val1" 

Additional info:
Comment 2 Neus Miras 2016-03-18 14:19:09 EDT
When a new condition is added the user has to select the column over the restriction is applied and the kind of condition.
I verified the text related with the condition changes depending on the type of restriccion selected:
In case that we want generate a TASKID greater than 5. The text displayed is TASKID > 5  When we change to TASKID greater or equals, the text change to TASKID >=5
Comment 3 Pavel Kralik 2016-04-01 12:15:43 EDT
BPMS 6.3.0.ER2

Note You need to log in before you can comment on or make changes to this bug.